Bug 178599 - rhpl has no documentation whatsoever
rhpl has no documentation whatsoever
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 02:03 EST by Ignacio Vazquez-Abrams
Modified: 2008-04-22 12:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 12:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-01-22 02:03:52 EST
rhpl has absolutely *no* documentation whatsoever. Not even docstrings. This
inhibits use of the library in second- or third-party tools and causes much
reinventing of the wheel.
Comment 1 Jeremy Katz 2006-01-28 00:32:51 EST
Accepting patches :-)
Comment 2 Erich Morisse 2006-09-28 12:22:39 EDT
removing blocker of bug 208444 (rpm summary missing info)
Comment 3 Christian Iseli 2007-01-22 06:36:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Bug Zapper 2008-04-03 12:48:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Chris Lumens 2008-04-22 12:00:27 EDT
Yes this one still applies as rhpl still doesn't really have much in the way of
documentation.  We'll gladly accept patches to correct this, but right now it's
highly unlikely we have time to work on it.  In the meantime, we'll continue
trying to remove rhpl piece by piece.

Note You need to log in before you can comment on or make changes to this bug.